### Enumeration

# Gsk PorterDuff

since: 4.22

#### Declaration

    enum Gsk.PorterDuff

#### Description [src]

The 12 compositing modes defined by the seminal paper by Thomas Porter and Tom Duff.

They are used in SVG, PDF and in Cairo with `cairo_operator_t`.

Available since: 4.22

#### Members

`GSK_PORTER_DUFF_SOURCE`

  No description available.

  - Value: `0`
  - Available since: 4.22
`GSK_PORTER_DUFF_DEST`

  No description available.

  - Value: `1`
  - Available since: 4.22
`GSK_PORTER_DUFF_SOURCE_OVER_DEST`

  No description available.

  - Value: `2`
  - Available since: 4.22
`GSK_PORTER_DUFF_DEST_OVER_SOURCE`

  No description available.

  - Value: `3`
  - Available since: 4.22
`GSK_PORTER_DUFF_SOURCE_IN_DEST`

  No description available.

  - Value: `4`
  - Available since: 4.22
`GSK_PORTER_DUFF_DEST_IN_SOURCE`

  No description available.

  - Value: `5`
  - Available since: 4.22
`GSK_PORTER_DUFF_SOURCE_OUT_DEST`

  No description available.

  - Value: `6`
  - Available since: 4.22
`GSK_PORTER_DUFF_DEST_OUT_SOURCE`

  No description available.

  - Value: `7`
  - Available since: 4.22
`GSK_PORTER_DUFF_SOURCE_ATOP_DEST`

  No description available.

  - Value: `8`
  - Available since: 4.22
`GSK_PORTER_DUFF_DEST_ATOP_SOURCE`

  No description available.

  - Value: `9`
  - Available since: 4.22
`GSK_PORTER_DUFF_XOR`

  No description available.

  - Value: `10`
  - Available since: 4.22
`GSK_PORTER_DUFF_CLEAR`

  No description available.

  - Value: `11`
  - Available since: 4.22